> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# List Dedicated Deployments

> List dedicated deployments.

Accepts either:
- User Bearer token — JWT is validated; only deployments belonging to that user are returned.
  The user_id query param is ignored.
- DEPLOYMENT_SCALER_SERVICE_TOKEN — service token; returns all deployments, or only those
  belonging to user_id if the query param is provided.

If include_terminated is False (default), only non-stopped deployments are returned.
Set include_terminated=true to include stopped/failed deployments.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/inference/list
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/inference/list:
    get:
      tags:
        - Dedicated Inference
      summary: List Dedicated Deployments
      description: >-
        List dedicated deployments.


        Accepts either:

        - User Bearer token — JWT is validated; only deployments belonging to
        that user are returned.
          The user_id query param is ignored.
        - DEPLOYMENT_SCALER_SERVICE_TOKEN — service token; returns all
        deployments, or only those
          belonging to user_id if the query param is provided.

        If include_terminated is False (default), only non-stopped deployments
        are returned.

        Set include_terminated=true to include stopped/failed deployments.
      operationId: list_dedicated_deployments_api_v2_external_inference_list_get
      parameters:
        - name: include_terminated
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Terminated
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeployListResp'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeployListResp:
      properties:
        deployments:
          items:
            $ref: '#/components/schemas/DeployListItem'
          type: array
          title: Deployments
      type: object
      required:
        - deployments
      title: DeployListResp
      description: Response body for GET /api/v2/external/inference/list.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeployListItem:
      properties:
        deployment_id:
          type: string
          format: uuid
          title: Deployment Id
        hf_model_id:
          type: string
          title: Hf Model Id
        hardware_profile:
          type: string
          title: Hardware Profile
        min_replicas:
          type: integer
          title: Min Replicas
        max_replicas:
          type: integer
          title: Max Replicas
        current_replicas:
          type: integer
          title: Current Replicas
        desired_replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Desired Replicas
        target_rps:
          anyOf:
            - type: number
            - type: 'null'
          title: Target Rps
        target_latency_p95_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: Target Latency P95 Ms
        stabilisation_window:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stabilisation Window
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - deployment_id
        - hf_model_id
        - hardware_profile
        - min_replicas
        - max_replicas
        - current_replicas
        - status
        - created_at
        - updated_at
      title: DeployListItem
      description: >-
        Summary of a single deployment returned by GET
        /api/v2/external/inference/list.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````